SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUOpeningRef Struct Reference

References an opening object, which is a hole in a face created by an attached component instance or group. More...

`#include <SketchUpAPI/model/opening.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUOpeningGetNumPoints (SUOpeningRef opening, size_t *count)
| Retrieves the number of points of an opening. More...
enum SUResult | SUOpeningGetPoints (SUOpeningRef opening, size_t len, struct SUPoint3D points[], size_t *count)
| Retrieves the points of an opening object. More...
enum SUResult | SUOpeningRelease (SUOpeningRef *opening)
| Release an opening object. More...

## Detailed Description

References an opening object, which is a hole in a face created by an attached component instance or group.

Since
  SketchUp 2014, API 2.0

## Friends And Related Function Documentation

enum SUResult SUOpeningGetNumPoints | ( | SUOpeningRef | opening,
|  | size_t * | count
| ) |  |
| related

Retrieves the number of points of an opening.

Since
  SketchUp 2014, API 2.0

Parameters

  [in] | opening | The opening object.
  [out] | count | The number of points.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if opening is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if count is NULL

enum SUResult SUOpeningGetPoints | ( | SUOpeningRef | opening,
|  | size_t | len,
|  | struct SUPoint3D | points[],
|  | size_t * | count
| ) |  |
| related

Retrieves the points of an opening object.

Since
  SketchUp 2014, API 2.0

Parameters

  [in] | opening | The opening object.
  [in] | len | The number of points to retrieve.
  [out] | points | The points retrieved.
  [out] | count | The number of points retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if opening is not a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if points or count is NULL

enum SUResult SUOpeningRelease | ( | SUOpeningRef * | opening | ) |
| related

Release an opening object.

Since
  SketchUp 2014, API 2.0

Parameters

  [in] | opening | The opening object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if opening is not a valid object
  - SU_ERROR_NULL_POINTER_INPUT if points or count is NULL

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/opening.h